%____________________________________________________________________________
% SADDLE.M  
% Main program for the computation of the saddlepoint distribution
% of the of the UMP test of uniformity against Dirichlet
%____________________________________________________________________________

addpath /Volumes/users/gatto/Matlab
clear

a = 1:5; 
t = [-22.6:.1:-12.8]; % domain of the distribution  

y = [.1 .1]; % starting point
for j = 1:length(t),
%	disp(t(j)); disp('fminsearch running')
	[y fval exitflag] = fminsearch('kgf',y,[],t(j),a);  
	if exitflag == 0,
		disp('New try with alternative starting point');
		y = [0 0];
		y = fminsearch('kgf',y,[],t(j),a);
	end;
%	disp('fminsearch terminated')
	l1(j) = y(1); 
	l2(j) = y(2);
	plr(j) = lr(y,t(j),a);  
end;

disp(' ');
disp(' ');
disp('      t     P[Tn < t]     a1       a2' );
disp('==================================================');
disp([t' plr' l1' l2']); 
disp('=================================================='); 


