%____________________________________________________________________________
% SIMUL.M  
% Main program for the computation of the Monte Carlo distribution
% of the UMP test of uniformity against Dirichlet
%____________________________________________________________________________

addpath /Volumes/users/gatto/Matlab
clear

sim = 100000; % number of simulations

a = 1:5;
t = [-22.6:.1:-12.8]; % domain of the distribution

T = zeros(1,sim);
for j = 1:sim,
	D = gamrnd(a,1);
	D = D/sum(D);
	T(j) = (a-1)*log(D)'; 
end;

psim = empdis(T,t); 

